Subject: bug#29889: 27.0.50; Slow visual selection

From: Po Lu <[email-masked]>
Date: Sat, 21 May 2022 20:24:23 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Yes, that should work.  And there probably aren't that many of these
> commands, so it should be possible to get them all marked with
> reasonable confidence.

But what if some other command moves the region?  For example, if you
type "C-x h" and then "C-f"?

The selection should also be updated then, I think, to match the text
displayed in the region face.  The best way to solve the performance
problem is probably to fall back to using buffer positions instead of
strings if the region exceeds a certain amount of characters in length.